Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedit.textarea
Interface TextAreaHighlight

All Known Implementing Classes:
  SearchHighlight

    public interface TextAreaHighlight

Highlight interface. Create implementations of this interface and add them to the text area with `TextAreaPainter.addCustomHighlight()` to paint custom highlights.

Version:
  $Id: TextAreaHighlight.java,v 1.1 2004/05/05 10:44:27 jferber Exp $
Author:
  Slava Pestov

Method Summary
`java.lang.String` | `getToolTipText(java.awt.event.MouseEvent evt)` Returns the tool tip to display at the specified location.
`void` | `init(JEditTextArea textArea, TextAreaHighlight next)` Called after the highlight painter has been added.
`void` | `paintHighlight(java.awt.Graphics gfx, int line, int y)` This should paint the highlight and delgate to the next highlight painter.

Method Detail

### init

    void init(JEditTextArea textArea,
              TextAreaHighlight next)

  Called after the highlight painter has been added.

  Parameters:
    `textArea` - The text area
    `next` - The painter this one should delegate to

### paintHighlight

    void paintHighlight(java.awt.Graphics gfx,
                        int line,
                        int y)

  This should paint the highlight and delgate to the next highlight painter.

  Parameters:
    `gfx` - The graphics context
    `line` - The line number
    `y` - The y co-ordinate of the line

### getToolTipText

    java.lang.String getToolTipText(java.awt.event.MouseEvent evt)

  Returns the tool tip to display at the specified location. If this highlighter doesn't know what to display, it should delegate to the next highlight painter.

  Parameters:
    `evt` - The mouse event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.